[Remap] ;These are all mandatory. Do not remove any of them!
x = x
y = y
z = z
a = a
b = b
c = c
s = s

[Defaults]
command.time = 15
command.buffer.time = 1

;======================================;
;         DASHING AND RECOVERY         ;
;======================================;

[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;======================================;
;           INPUTS COMMANDS            ;
;======================================;

[Command]
name = "LightningStrikes"
command = D,DB,B,z
time = 15

[Command]
name = "ShunGokuSatsu"
command = D,DB,B,c
time = 15

[Command]
name = "EconomicalBeam"
command = D,DB,B,y
time = 15

[Command]
name = "CataclysmicBeam"
command = D,DB,B,b
time = 15

[Command]
name = "FatalSlash"
command = D,DB,B,x
time = 15

[Command]
name = "BowserToss"
command = D,DB,B,a
time = 15

[Command]
name = "TreasuredSwordofSevenBranches"
command = D,DF,F,c
time = 15

[Command]
name = "SlimeBall"
command = D,DF,F,z
time = 15

[Command]
name = "SuperAirHadouken"
command = D,DF,F,b
time = 15

[Command]
name = "RollingCrush"
command = D,DF,F,y
time = 15

[Command]
name = "MoonBeam"
command = D,DF,F,a
time = 15

[Command]
name = "AssistComputer"
command = D,DF,F,x
time = 15

[Command]
name = "xy"
command = x+y
time = 1

[Command]
name = "ab"
command = a+b
time = 1

[Command]
name = "cz"
command = c+z
time = 1

[Command]
name = "by"
command = b+y
time = 1

[Command]
name = "ax"
command = a+x
time = 1


;======================================;
;          DIRECTIONAL INPUTS          ;
;======================================;

[Command]
name = "holda";Required (do not remove)
command = /a
time = 1

[Command]
name = "holdx";Required (do not remove)
command = /x
time = 1

[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;======================================;
;             BUTTON INPUTS            ;
;======================================;

[Command]
name = "s"
command = s
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

;======================================;

;StateDef -1
;Determines what player performed inputs result in.
;Contains the AI.
;Order any State Controllers added into -1 as follows.
;Top to Bottom, Most Important to Least Important.

[StateDef -1]

;---------------------------------------------------------------------------
;===========================================================================

[State -1, AI ON] ; Turn the AI on when
Type = VarSet
TriggerAll = Var(59) < 1; it is not on yet and
TriggerAll = RoundState=2 ; the fight has started and is not over yet and
Trigger1 = AILevel>0 ; the computer is playing the character
v = 59
value= 1 ; value of 1 will mean the AI is on
Ignorehitpause=1

[State -1, AI OFF] ; Turn the AI off when
Type=VarSet
Trigger1=var(59)>0 ; it is on and
Trigger1=RoundState!=2 ; the round is not started yet or is already over
Trigger2=!IsHelper ; OR if we are a player, but
Trigger2=AILevel=0 ; the computer is not in control
v=59
value=0 ; value of 0 will mean the AI is off. values other than 0 and 1 are not used in this example, we have only one AI mode, the normal one.
Ignorehitpause=1

[State -1]
Type=VarSet
Trigger1=1
var(50)= 10 ;Change the 60 to whatever you want. Take note of this value, as I mention it below.

[State -1]
Type=Changestate
Triggerall=Inguarddist; Guard when in guard distance
Triggerall=var(59)>0; and the AI is on
Triggerall=ctrl || stateno = 102; and we have control
Trigger1 = random< (var(50)* 10) ; Feel free to change the * 99 to whatever you want, 
value=120

[State -1]; The engine will still guard by through pressing the back button, we need to disable that.
Type=Assertspecial
Triggerall=StateNo!=[120,160]
Trigger1=var(59)>0
flag=noairguard
flag2=nocrouchguard
flag3=nostandguard

;----------------------------

[State -1, Super Air Hadouken]
type = ChangeState
value = 2030
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = power >= 1000
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-90,90]
triggerall = p2bodydist x >= 0
trigger1 = statetype = A
trigger1 = ctrl
trigger1 = random<var(50) * 0.8
trigger2 = stateno = 600 && movecontact
trigger2 = random<var(50) * 15
trigger3 = stateno = 630 && movecontact
trigger3 = random<var(50) * 15
trigger4 = stateno = 640 && movecontact
trigger4 = random<var(50) * 15
trigger5 = stateno = 650 && movecontact
trigger5 = random<var(50) * 15

[State -1, Triple Air Hadouken]
type = ChangeState
value = 1185
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
trigger1 = statetype = A
trigger1 = ctrl
trigger1 = random<var(50) * 15

[State -1, Zanku Hontai]
type = ChangeState
value = 1175
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2bodydist y = [-100,100]
triggerall = p2bodydist x <= 95
trigger1 = statetype = A
trigger1 = ctrl
trigger1 = random<var(50) * 25

[State -1, Air Heavy Kick]
type = ChangeState
value = 650
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2bodydist y = [-150,100]
triggerall = p2bodydist x <= 120
trigger1 = statetype = A
trigger1 = ctrl
trigger1 = random<var(50) * 8
trigger2 = stateno = 640 && movecontact

[State -1, Air Medium Kick]
type = ChangeState
value = 640
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2bodydist y = [-75,120]
triggerall = p2bodydist x <= 60
trigger1 = statetype = A
trigger1 = ctrl
trigger1 = random<var(50) * 8
trigger2 = stateno = 630 && movecontact

[State -1, Air Light Kick]
type = ChangeState
value = 630
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2bodydist y = [-55,85]
triggerall = p2bodydist x <= 55
triggerall = statetype = A
trigger1 = ctrl
trigger1 = random<var(50) * 30
trigger2 = ctrl
trigger2 = stateno = 41
trigger2 = random<var(50) * 97

[State -1, Air Heavy Punch]
type = ChangeState
value = 620
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2bodydist y = [-75,75]
triggerall = p2bodydist x >= 125
trigger1 = statetype = A
trigger1 = ctrl

[State -1,Jump]
type=changestate
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
trigger1 = statetype = S
trigger1 = enemynear, statetype = A
trigger1 = enemynear, movetype = H
trigger1 = enemynear, stateno != [120,155]
trigger1 = stateno = 211 
trigger1 = random<var(50) * 95
trigger2 = statetype = C
trigger2 = stateno = 450 && movecontact
trigger2 = random<var(50) * 95 
value = 41

[State -1, Lightning Strikes]
type = ChangeState
value = 4010
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = power >= 3000
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-75,75]
triggerall = p2bodydist x = [-200,200]
triggerall = StateType != A
trigger1 = ctrl
trigger1 = random<var(50) * 15
trigger2 = stateno = 200 && movecontact
trigger2 = random<var(50) * 0.5
trigger3 = stateno = 211 && movecontact
trigger3 = random<var(50) * 0.5
trigger4 = stateno = 230 && movecontact
trigger4 = random<var(50) * 1
trigger5 = stateno = 241 && movecontact
trigger5 = random<var(50) * 3
trigger6 = stateno = 220 && movecontact
trigger6 = random<var(50) * 0.5
trigger7 = stateno = 250 && movecontact
trigger7 = random<var(50) * 3
trigger8 = stateno = 1010 && animtime >= -43
trigger8 = random<var(50) * 0.1
trigger9 = stateno = 1020 && animtime >= -39
trigger9 = random<var(50) * 0.1
trigger10 = stateno = 1080 && animtime >= -10
trigger10 = random<var(50) * 0.1
trigger11 = stateno = 1100 && animtime >= -50 && statetype = S
trigger11 = random<var(50) * 0.1
trigger12 = stateno = 1150 && movecontact && animelem = 7
trigger12 = random<var(50) * 1

[State -1, Shun Goku Satsu]
type = ChangeState
value = 4000
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = power >= 3000
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-75,75]
triggerall = p2bodydist x >= 0
triggerall = StateType != A
trigger1 = ctrl
trigger1 = random<var(50) * 15
trigger2 = stateno = 200 && movecontact
trigger2 = random<var(50) * 0.5
trigger3 = stateno = 211 && movecontact
trigger3 = random<var(50) * 0.5
trigger4 = stateno = 230 && movecontact
trigger4 = random<var(50) * 1
trigger5 = stateno = 241 && movecontact
trigger5 = random<var(50) * 3
trigger6 = stateno = 220 && movecontact
trigger6 = random<var(50) * 0.5
trigger7 = stateno = 250 && movecontact
trigger7 = random<var(50) * 3
trigger8 = stateno = 1010 && animtime >= -43
trigger8 = random<var(50) * 0.1
trigger9 = stateno = 1020 && animtime >= -39
trigger9 = random<var(50) * 0.1
trigger10 = stateno = 1080 && animtime >= -10
trigger10 = random<var(50) * 0.1
trigger11 = stateno = 1100 && animtime >= -50 && statetype = S
trigger11 = random<var(50) * 0.1
trigger12 = stateno = 1150 && movecontact && animelem = 7
trigger12 = random<var(50) * 1

[State -1, Economical Beam]
type = ChangeState
value = 3030
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = power >= 2000
triggerall = p2stateno!= [5100,5120]
triggerall = StateType != A
trigger1 = ctrl
trigger1 = random<var(50) * 0.5
trigger2 = stateno = 200 && movecontact
trigger2 = random<var(50) * 0.5
trigger3 = stateno = 211 && movecontact
trigger3 = random<var(50) * 0.5
trigger4 = stateno = 230 && movecontact
trigger4 = random<var(50) * 1
trigger5 = stateno = 241 && movecontact
trigger5 = random<var(50) * 3
trigger6 = stateno = 220 && movecontact
trigger6 = random<var(50) * 0.5
trigger7 = stateno = 250 && movecontact
trigger7 = random<var(50) * 3
trigger8 = stateno = 1010 && animtime >= -43
trigger8 = random<var(50) * 0.1
trigger9 = stateno = 1020 && animtime >= -39
trigger9 = random<var(50) * 0.1
trigger10 = stateno = 1080 && animtime >= -10
trigger10 = random<var(50) * 0.1
trigger11 = stateno = 1100 && animtime >= -50 && statetype = S
trigger11 = random<var(50) * 0.1
trigger12 = stateno = 1150 && movecontact && animelem = 7
trigger12 = random<var(50) * 1


[State -1, Cataclysmic Beam]
type = ChangeState
value = 3020
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = power >= 2000
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-100,100]
triggerall = p2bodydist x >= 0
triggerall = StateType != A
trigger1 = ctrl
trigger1 = random<var(50) * 0.5
trigger2 = stateno = 200 && movecontact
trigger2 = random<var(50) * 0.5
trigger3 = stateno = 211 && movecontact
trigger3 = random<var(50) * 0.5
trigger4 = stateno = 230 && movecontact
trigger4 = random<var(50) * 1
trigger5 = stateno = 241 && movecontact
trigger5 = random<var(50) * 3
trigger6 = stateno = 220 && movecontact
trigger6 = random<var(50) * 0.5
trigger7 = stateno = 250 && movecontact
trigger7 = random<var(50) * 3
trigger8 = stateno = 1010 && animtime >= -43
trigger8 = random<var(50) * 0.1
trigger9 = stateno = 1020 && animtime >= -39
trigger9 = random<var(50) * 0.1
trigger10 = stateno = 1080 && animtime >= -10
trigger10 = random<var(50) * 0.1
trigger11 = stateno = 1100 && animtime >= -50 && statetype = S
trigger11 = random<var(50) * 0.1
trigger12 = stateno = 1150 && movecontact && animelem = 7
trigger12 = random<var(50) * 1

[State -1, Fatal Slash]
type = ChangeState
value = 3010
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = power >= 2000
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-100,100]
triggerall = p2bodydist x >= 0
triggerall = StateType != A
trigger1 = ctrl
trigger1 = random<var(50) * 0.6
trigger2 = stateno = 200 && movecontact
trigger2 = random<var(50) * 0.5
trigger3 = stateno = 211 && movecontact
trigger3 = random<var(50) * 0.5
trigger4 = stateno = 230 && movecontact
trigger4 = random<var(50) * 1
trigger5 = stateno = 241 && movecontact
trigger5 = random<var(50) * 3
trigger6 = stateno = 220 && movecontact
trigger6 = random<var(50) * 0.5
trigger7 = stateno = 250 && movecontact
trigger7 = random<var(50) * 3
trigger8 = stateno = 1010 && animtime >= -43
trigger8 = random<var(50) * 0.1
trigger9 = stateno = 1020 && animtime >= -39
trigger9 = random<var(50) * 0.1
trigger10 = stateno = 1080 && animtime >= -10
trigger10 = random<var(50) * 0.1
trigger11 = stateno = 1100 && animtime >= -50 && statetype = S
trigger11 = random<var(50) * 0.1
trigger12 = stateno = 1150 && movecontact && animelem = 7
trigger12 = random<var(50) * 1

[State -1, Bowser Toss]
type = ChangeState
value = 3000
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = power >= 2000
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-200,200]
triggerall = p2bodydist x = [-200,200]
trigger1 = ctrl
trigger1 = random<var(50) * 0.6
trigger2 = stateno = 200 && movecontact
trigger2 = random<var(50) * 0.5
trigger3 = stateno = 211 && movecontact
trigger3 = random<var(50) * 0.5
trigger4 = stateno = 230 && movecontact
trigger4 = random<var(50) * 1
trigger5 = stateno = 241 && movecontact
trigger5 = random<var(50) * 3
trigger6 = stateno = 220 && movecontact
trigger6 = random<var(50) * 0.5
trigger7 = stateno = 250 && movecontact
trigger7 = random<var(50) * 3
trigger8 = stateno = 1010 && animtime >= -43
trigger8 = random<var(50) * 0.1
trigger9 = stateno = 1020 && animtime >= -39
trigger9 = random<var(50) * 0.1
trigger10 = stateno = 1080 && animtime >= -10
trigger10 = random<var(50) * 0.1
trigger11 = stateno = 1100 && animtime >= -50 && statetype = S
trigger11 = random<var(50) * 0.1
trigger12 = stateno = 1150 && movecontact && animelem = 7
trigger12 = random<var(50) * 1


[State -1, Treasured Sword of Seven Branches]
type = ChangeState
value = 2050
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = power >= 1000
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-200,200]
triggerall = p2bodydist x = [-200,200]
triggerall = StateType != A
trigger1 = ctrl
trigger1 = random<var(50) * 0.8
trigger2 = stateno = 200 && movecontact
trigger2 = random<var(50) * 0.5
trigger3 = stateno = 211 && movecontact
trigger3 = random<var(50) * 0.5
trigger4 = stateno = 230 && movecontact
trigger4 = random<var(50) * 1
trigger5 = stateno = 241 && movecontact
trigger5 = random<var(50) * 3
trigger6 = stateno = 220 && movecontact
trigger6 = random<var(50) * 0.5
trigger7 = stateno = 250 && movecontact
trigger7 = random<var(50) * 3
trigger8 = stateno = 1010 && animtime >= -43
trigger8 = random<var(50) * 0.1
trigger9 = stateno = 1020 && animtime >= -39
trigger9 = random<var(50) * 0.1
trigger10 = stateno = 1080 && animtime >= -10
trigger10 = random<var(50) * 0.1
trigger11 = stateno = 1100 && animtime >= -50 && statetype = S
trigger11 = random<var(50) * 0.1
trigger12 = stateno = 1150 && movecontact && animelem = 7
trigger12 = random<var(50) * 1

[State -1, Slime Ball]
type = ChangeState
value = 2040
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = power >= 1000
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-150,150]
triggerall = p2bodydist x >= 0
triggerall = StateType != A
trigger1 = ctrl
trigger1 = random<var(50) * 0.6
trigger2 = stateno = 200 && movecontact
trigger2 = random<var(50) * 0.5
trigger3 = stateno = 211 && movecontact
trigger3 = random<var(50) * 0.5
trigger4 = stateno = 230 && movecontact
trigger4 = random<var(50) * 1
trigger5 = stateno = 241 && movecontact
trigger5 = random<var(50) * 3
trigger6 = stateno = 220 && movecontact
trigger6 = random<var(50) * 0.5
trigger7 = stateno = 250 && movecontact
trigger7 = random<var(50) * 3
trigger8 = stateno = 1010 && animtime >= -43
trigger8 = random<var(50) * 0.1
trigger9 = stateno = 1020 && animtime >= -39
trigger9 = random<var(50) * 0.1
trigger10 = stateno = 1080 && animtime >= -10
trigger10 = random<var(50) * 0.1
trigger11 = stateno = 1100 && animtime >= -50 && statetype = S
trigger11 = random<var(50) * 0.1
trigger12 = stateno = 1150 && movecontact && animelem = 7
trigger12 = random<var(50) * 1

[State -1, Rolling Air Fury]
type = ChangeState
value = 2020
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = power >= 1000
triggerall = p2stateno!= [5100,5120]
triggerall = StateType != A
trigger1 = ctrl
trigger1 = random<var(50) * 0.4
trigger2 = stateno = 200 && movecontact
trigger2 = random<var(50) * 0.5
trigger3 = stateno = 211 && movecontact
trigger3 = random<var(50) * 0.5
trigger4 = stateno = 230 && movecontact
trigger4 = random<var(50) * 1
trigger5 = stateno = 241 && movecontact
trigger5 = random<var(50) * 3
trigger6 = stateno = 220 && movecontact
trigger6 = random<var(50) * 0.5
trigger7 = stateno = 250 && movecontact
trigger7 = random<var(50) * 3
trigger8 = stateno = 1010 && animtime >= -43
trigger8 = random<var(50) * 0.1
trigger9 = stateno = 1020 && animtime >= -39
trigger9 = random<var(50) * 0.1
trigger10 = stateno = 1080 && animtime >= -10
trigger10 = random<var(50) * 0.1
trigger11 = stateno = 1100 && animtime >= -50 && statetype = S
trigger11 = random<var(50) * 0.1
trigger12 = stateno = 1150 && movecontact && animelem = 7
trigger12 = random<var(50) * 1


[State -1, Moon Beam]
type = ChangeState
value = 2010
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = power >= 1000
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-90,90]
triggerall = p2bodydist x >= 0
triggerall = StateType != A
trigger1 = ctrl
trigger1 = random<var(50) * 0.5
trigger2 = stateno = 200 && movecontact
trigger2 = random<var(50) * 0.5
trigger3 = stateno = 211 && movecontact
trigger3 = random<var(50) * 0.5
trigger4 = stateno = 230 && movecontact
trigger4 = random<var(50) * 1
trigger5 = stateno = 241 && movecontact
trigger5 = random<var(50) * 3
trigger6 = stateno = 220 && movecontact
trigger6 = random<var(50) * 0.5
trigger7 = stateno = 250 && movecontact
trigger7 = random<var(50) * 3
trigger8 = stateno = 1010 && animtime >= -43
trigger8 = random<var(50) * 0.1
trigger9 = stateno = 1020 && animtime >= -39
trigger9 = random<var(50) * 0.1
trigger10 = stateno = 1080 && animtime >= -10
trigger10 = random<var(50) * 0.1
trigger11 = stateno = 1100 && animtime >= -50 && statetype = S
trigger11 = random<var(50) * 0.1
trigger12 = stateno = 1150 && movecontact && animelem = 7
trigger12 = random<var(50) * 1


[State -1, Assist Computer]
type = ChangeState
value = 2000
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = power >= 1000
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist x = [-275,275]
triggerall = StateType  != A
trigger1 = ctrl
trigger1 = random<var(50) * 0.6
trigger2 = stateno = 200 && movecontact
trigger2 = random<var(50) * 0.5
trigger3 = stateno = 211 && movecontact
trigger3 = random<var(50) * 0.5
trigger4 = stateno = 230 && movecontact
trigger4 = random<var(50) * 1
trigger5 = stateno = 241 && movecontact
trigger5 = random<var(50) * 3
trigger6 = stateno = 220 && movecontact
trigger6 = random<var(50) * 0.5
trigger7 = stateno = 250 && movecontact
trigger7 = random<var(50) * 3
trigger8 = stateno = 1010 && animtime >= -43
trigger8 = random<var(50) * 0.1
trigger9 = stateno = 1020 && animtime >= -39
trigger9 = random<var(50) * 0.1
trigger10 = stateno = 1080 && animtime >= -10
trigger10 = random<var(50) * 0.1
trigger11 = stateno = 1100 && animtime >= -50 && statetype = S
trigger11 = random<var(50) * 0.1
trigger12 = stateno = 1150 && movecontact && animelem = 7
trigger12 = random<var(50) * 1

[State -1, Charge]
type = ChangeState
value = 1040
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = statetype = S
triggerall = power < 3000 || power >= 3000 && life < 1000
triggerall = ctrl || stateno = 102
triggerall = p2bodydist x >= 85
triggerall = enemynear, movetype !=A
triggerall = enemynear, stateno != [50,105]
trigger1 = random<var(50) * 5
trigger2 = (enemynear,hitfall) || enemynear, p2stateno!= [5100,5120]
trigger2 = random<var(50) * 10

[State -1, Teleportation]
type = ChangeState
value = 1050
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = var(3) = 0
triggerall = statetype = S
triggerall = ctrl || stateno = 102
trigger1 = p2bodydist x >= 50
trigger1 = random<var(50) * 5
trigger2 = enemynear,movetype = A
trigger2 = random<var(50) * 15

[State -1, Counter]
type = ChangeState
value = 1060
Triggerall = var(59)>0
triggerall = var(7) = 0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2bodydist y = [-50,50]
triggerall = p2bodydist x = [0,50]
triggerall = enemynear,movetype = A
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 25

[State -1, Eraser Projectile]
type = ChangeState
value = 1000
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-175,75]
triggerall = p2bodydist x >= 75
triggerall = NumProjID(1001) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 15

[State -1, Lightning Spiral]
type = ChangeState
value = 1160
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = StateType != A
triggerall = NumHelper(1162) = 0
triggerall = p2stateno!= [5100,5120]
triggerall = var(5) = 0
triggerall = ctrl
trigger1 = random<var(50) * 15
trigger2 = (enemynear,hitfall)
trigger2 = random<var(50) * 25

[State -1,  Air Drop]
type = ChangeState
value = 1120
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = var(4) = 0
triggerall = StateType = S
triggerall = ctrl || stateno = 102
trigger1 = random<var(50) * 3
trigger2 = enemynear,hitfall || enemynear, p2stateno!= [5100,5120]
trigger2 = random<var(50) * 20

[State -1,  Grab]
type = ChangeState
value = 1110
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-65,65]
triggerall = p2bodydist x = [0,37]
triggerall = StateType = S 
triggerall = enemynear, statetype != A
triggerall = enemynear, movetype != H
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 25

[State -1,  Mush Wrap]
type = ChangeState
value = 1100
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-110,110]
triggerall = p2bodydist x = [0,80]
trigger1 = StateType = S || StateType = C || StateType = A
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 7
trigger2 = stateno = 200 && movecontact
trigger2 = random<var(50) * 15
trigger3 = stateno = 211 && movecontact
trigger3 = random<var(50) * 15
trigger4 = stateno = 230 && movecontact
trigger4 = random<var(50) * 15
trigger5 = stateno = 241 && movecontact
trigger5 = random<var(50) * 15

[State -1, Robo Summon]
type = ChangeState
value = 1090
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-100,100]
triggerall = p2bodydist x >= 100
triggerall = NumHelper(1092) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 8

[State -1, Evil Claw]
type = ChangeState
value = 1080
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-100,100]
triggerall = p2bodydist x = [0,180]
trigger1 = statetype = S
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 7
trigger2 = stateno = 200 && movecontact
trigger2 = random<var(50) * 7
trigger3 = stateno = 211 && movecontact
trigger3 = random<var(50) * 7
trigger4 = stateno = 230 && movecontact
trigger4 = random<var(50) * 7
trigger5 = stateno = 241 && movecontact
trigger5 = random<var(50) * 7
trigger6 = stateno = 1150 && movecontact && animelem = 7
trigger6 = random<var(50) * 35

[State -1, Hurricane Kick]
type = ChangeState
value = 1070
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-140,100]
triggerall = p2bodydist x = [0,100]
trigger1 = statetype = S
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 11
trigger2 = stateno = 230 && movecontact
trigger3 = random<var(50) * 45
trigger3 = stateno = 241 && movecontact
trigger3 = random<var(50) * 45
trigger4 = stateno = 1010 && animtime >= -43
trigger4 = random<var(50) * 5
trigger5 = stateno = 1020 && animtime >= -39
trigger5 = random<var(50) * 5
trigger6 = stateno = 1080 && animtime >= -10
trigger6 = random<var(50) * 5
trigger7 = stateno = 1100 && animtime >= -50 && statetype = S
trigger7 = random<var(50) * 5
trigger8 = stateno = 1150 && movecontact && animelem = 7
trigger8 = random<var(50) * 35
trigger9 = stateno = 1121 && animtime = 0
trigger9 = enemynear, movetype = H
trigger9 = enemynear, statetype = A
trigger8 = random<var(50) * 45

[State -1, Fire Slash]
type = ChangeState
value = 1150
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = StateType = S
triggerall = p2bodydist y = [-75,75]
triggerall = p2bodydist x = [0,50]
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 10
trigger2 = stateno = 200 && movecontact
trigger2 = random<var(50) * 5
trigger3 = stateno = 211 && movecontact
trigger3 = random<var(50) * 5
trigger4 = stateno = 230 && movecontact
trigger4 = random<var(50) * 5
trigger5 = stateno = 241 && movecontact
trigger5 = random<var(50) * 35

[State -1,  Storm Upper Rise]
type = ChangeState
value = 1140
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = NumHelper(1131) = 0
triggerall = StateType = S
triggerall = p2bodydist y = [-175,50]
triggerall = p2bodydist x = [0,75]
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 10
trigger2 = stateno = 200 && movecontact
trigger2 = random<var(50) * 2
trigger3 = stateno = 211 && movecontact
trigger3 = random<var(50) * 2
trigger4 = stateno = 230 && movecontact
trigger4 = random<var(50) * 2
trigger5 = stateno = 241 && movecontact
trigger5 = random<var(50) * 2
trigger6 = stateno = 1010 && animtime >= -43
trigger6 = random<var(50) * 3
trigger7 = stateno = 1020 && animtime >= -39
trigger7 = random<var(50) * 3
trigger8 = stateno = 1080 && animtime >= -10
trigger8 = random<var(50) * 3
trigger9 = stateno = 1100 && animtime >= -50 && statetype = S
trigger9 = random<var(50) * 3
trigger10 = stateno = 1150 && movecontact && animelem = 7
trigger10 = random<var(50) * 15

[State -1, Ja Ei Ken]
type = ChangeState
value = 1030
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-150,100]
triggerall = p2bodydist x = [0,145]
trigger1 = statetype = S
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 10
trigger2 = stateno = 230 && movecontact
trigger3 = random<var(50) * 35
trigger3 = stateno = 241 && movecontact
trigger3 = random<var(50) * 35
trigger4 = stateno = 1010 && animtime >= -43
trigger4 = random<var(50) * 5
trigger5 = stateno = 1020 && animtime >= -39
trigger5 = random<var(50) * 5
trigger6 = stateno = 1080 && animtime >= -10
trigger6 = random<var(50) * 5
trigger7 = stateno = 1100 && animtime >= -50 && statetype = S
trigger7 = random<var(50) * 5
trigger8 = stateno = 1150 && movecontact && animelem = 7
trigger8 = random<var(50) * 25

[State -1, Eye Beam]
type = ChangeState
value = 1020
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-100,100]
trigger1 = p2bodydist x >= 50
trigger1 = statetype = S
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 5
trigger2 = stateno = 1010 && animtime >= -43
trigger2 = random<var(50) * 45
trigger3 = stateno = 1080 && animtime >= -10
trigger3 = random<var(50) * 2
trigger4 = stateno = 1100 && animtime >= -50 && statetype = S
trigger4 = random<var(50) * 2
trigger5 = stateno = 1150 && movecontact && animelem = 7
trigger5 = random<var(50) * 20

[State -1, Laser Beam]
type = ChangeState
value = 1010
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-150,75]
triggerall = p2bodydist x >= 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 8
trigger2 = stateno = 1080 && animtime >= -10
trigger3 = stateno = 1100 && animtime >= -50 && statetype = S
trigger4  = stateno = 1150 && movecontact && animelem = 7

[State -1,  Bomb Drop]
type = ChangeState
value = 1130
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = NumHelper(1131) = 0
triggerall = StateType = S
triggerall = p2bodydist x >= 120
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 25

[State -1, Heavy Kick]
type = ChangeState
value = 250
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-150,75]
triggerall = p2bodydist x = [0,140]
trigger1 = statetype = S
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 8
trigger2 = stateno = 200 && movecontact
trigger2 = random<var(50) * 15 
trigger3 = stateno = 211 && movecontact 
trigger3 = random<var(50) * 25
trigger4 = stateno = 230 && movecontact
trigger4 = random<var(50) * 15 
trigger5 = stateno = 241 && movecontact
trigger5 = random<var(50) * 45



[State -1, Medium Kick]
type = ChangeState
value = 240
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-80,50]
triggerall = p2bodydist x = [0,65]
trigger1 = statetype = S
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 25
trigger2 = stateno = 200 && movecontact
trigger2 = random<var(50) * 95
trigger3 = stateno = 230 && movecontact
trigger3 = random<var(50) * 95

[State -1, Light Kick]
type = ChangeState
value = 230
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-45,45]
triggerall = p2bodydist x = [0,25]
trigger1 = statetype = S
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 40

[State -1, Strong Slash (Strong Punch)]
type = ChangeState
value = 220
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-125,50]
triggerall = p2bodydist x = [0,140]
triggerall = enemynear, pos y < -25
trigger1 = statetype = S
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 8
trigger2 = stateno = 200 && movecontact
trigger2 = random<var(50) * 15 
trigger3 = stateno = 211 && movecontact
trigger3 = random<var(50) * 25
trigger4 = stateno = 230 && movecontact
trigger4 = random<var(50) * 15 
trigger5 = stateno = 241 && movecontact 
trigger5 = random<var(50) * 35

[State -1, Medium Punch]
type = ChangeState
value = 210
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = !(enemynear,hitfall)
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-90,50]
triggerall = p2bodydist x = [0,110]
trigger1 = statetype = S
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 15 
trigger2 = stateno = 200 && movecontact
trigger2 = random<var(50) * 15
trigger3 = stateno = 230 && movecontact 
trigger3 = random<var(50) * 15
trigger4 = stateno = 241 && movecontact
trigger4 = random<var(50) * 97

[State -1, Light Punch]
type = ChangeState
value = 200
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-50,50]
triggerall = p2bodydist x = [0,45]
trigger1 = statetype = S
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 35

[State -1, Crouching Heavy Kick]
type = ChangeState
value = 450
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-45,55]
triggerall = p2bodydist x = [0,100]
trigger1 = statetype !=A
trigger1 = ctrl 
trigger1 = random<var(50) * 15
trigger2 = stateno = 420 && movecontact && animelem = 5
trigger2 = random<var(50) * 97

[State -1, Crouching Heavy Punch]
type = ChangeState
value = 420
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-45,55]
triggerall = p2bodydist x = [0,80]
trigger1 = statetype !=A
trigger1 = ctrl 
trigger1 = random<var(50) * 15
trigger2 = stateno = 410 && movecontact
trigger2 = random<var(50) * 97

[State -1, Crouching Medium Punch]
type = ChangeState
value = 410
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-45,55]
triggerall = p2bodydist x = [0,45]
trigger1 = statetype !=A
trigger1 = ctrl 
trigger1 = random<var(50) * 10
trigger2 = stateno = 400 && movecontact
trigger2 = random<var(50) * 97

[State -1, Crouching Light Punch]
type = ChangeState
value = 400
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = p2stateno!= [5100,5120]
triggerall = p2bodydist y = [-45,55]
triggerall = p2bodydist x = [0,55]
trigger1 = statetype !=A
trigger1 = ctrl 
trigger1 = random<var(50) * 30

[State -1,Run_Fwd]
type=changestate
Triggerall = var(59)>0
Triggerall = alive = 1
Triggerall = ctrl
triggerall = RoundState = 2
triggerall = statetype = S
Triggerall = p2bodydist x  >= 10
trigger1 = random<var(50) * 65
value = 102

[State -1, Back Dash]
type = ChangeState
value = 105
Triggerall = var(59)>0
triggerall = RoundState = 2
Triggerall = alive = 1
triggerall = statetype = S
trigger1 = ctrl || stateno = 102
trigger1 = BackEdgeBodyDist > 65
trigger1 = random<var(50) * 5

[State -1,Jump]
type=changestate
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = statetype = S
triggerall = RoundState = 2
Trigger1 = ctrl || stateno = 102
Trigger1 = p2bodydist x >= 65
trigger1 = random<var(50) * 5
Trigger2 = ctrl || stateno = 102
trigger2 = enemynear, statetype = A
trigger2 = enemynear, movetype != H
trigger2 = random<var(50) * 5
value = 40

;--------------------------------------------------------------

[State -1, Lightning Strikes]
type = ChangeState
value = 4010
triggerall = Var(59) <= 0
triggerall=command="LightningStrikes"
triggerall = power >= 3000
triggerall = StateType != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 211 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 241 && movecontact
trigger6 = stateno = 220 && movecontact
trigger7 = stateno = 250 && movecontact
trigger8 = stateno = 1010 && animtime >= -43
trigger9 = stateno = 1020 && animtime >= -39
trigger10 = stateno = 1080 && animtime >= -10
trigger11 = stateno = 1100 && animtime >= -50 && statetype = S
trigger12 = stateno = 1150 && movecontact


[State -1, Shun Goku Satsu]
type = ChangeState
value = 4000
triggerall = Var(59) <= 0
triggerall=command="ShunGokuSatsu"
triggerall = power >= 3000
triggerall = StateType != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 211 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 241 && movecontact
trigger6 = stateno = 220 && movecontact
trigger7 = stateno = 250 && movecontact
trigger8 = stateno = 1010 && animtime >= -43
trigger9 = stateno = 1020 && animtime >= -39
trigger10 = stateno = 1080 && animtime >= -10
trigger11 = stateno = 1100 && animtime >= -50 && statetype = S
trigger12 = stateno = 1150 && movecontact

[State -1, Economical Beam]
type = ChangeState
value = 3030
triggerall = Var(59) <= 0
triggerall=command="EconomicalBeam"
triggerall = power >= 2000
triggerall = StateType != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 211 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 241 && movecontact
trigger6 = stateno = 220 && movecontact
trigger7 = stateno = 250 && movecontact
trigger8 = stateno = 1010 && animtime >= -43
trigger9 = stateno = 1020 && animtime >= -39
trigger10 = stateno = 1080 && animtime >= -10
trigger11 = stateno = 1100 && animtime >= -50 && statetype = S
trigger12 = stateno = 1150 && movecontact


[State -1, Cataclsmic Beam]
type = ChangeState
value = 3020
triggerall = Var(59) <= 0
triggerall=command="CataclysmicBeam"
triggerall = power >= 2000
triggerall = StateType != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 211 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 241 && movecontact
trigger6 = stateno = 220 && movecontact
trigger7 = stateno = 250 && movecontact
trigger8 = stateno = 1010 && animtime >= -43
trigger9 = stateno = 1020 && animtime >= -39
trigger10 = stateno = 1080 && animtime >= -10
trigger11 = stateno = 1100 && animtime >= -50 && statetype = S
trigger12 = stateno = 1150 && movecontact

[State -1, Fatal Slash]
type = ChangeState
value = 3010
triggerall = Var(59) <= 0
triggerall=command="FatalSlash"
triggerall = power >= 2000
triggerall = StateType != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 211 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 241 && movecontact
trigger6 = stateno = 220 && movecontact
trigger7 = stateno = 250 && movecontact
trigger8 = stateno = 1010 && animtime >= -43
trigger9 = stateno = 1020 && animtime >= -39
trigger10 = stateno = 1080 && animtime >= -10
trigger11 = stateno = 1100 && animtime >= -50 && statetype = S
trigger12 = stateno = 1150 && movecontact

[State -1, Bowser Toss]
type = ChangeState
value = 3000
triggerall = Var(59) <= 0
triggerall=command="BowserToss"
triggerall = power >= 2000
triggerall = StateType != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 211 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 241 && movecontact
trigger6 = stateno = 220 && movecontact
trigger7 = stateno = 250 && movecontact
trigger8 = stateno = 1010 && animtime >= -43
trigger9 = stateno = 1020 && animtime >= -39
trigger10 = stateno = 1080 && animtime >= -10
trigger11 = stateno = 1100 && animtime >= -50 && statetype = S
trigger12 = stateno = 1150 && movecontact

[State -1, Treasured Sword of Seven Branches]
type = ChangeState
value = 2050
triggerall = Var(59) <= 0
triggerall=command="TreasuredSwordofSevenBranches"
triggerall = power >= 1000
triggerall = StateType != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 211 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 241 && movecontact
trigger6 = stateno = 220 && movecontact
trigger7 = stateno = 250 && movecontact
trigger8 = stateno = 1010 && animtime >= -43
trigger9 = stateno = 1020 && animtime >= -39
trigger10 = stateno = 1080 && animtime >= -10
trigger11 = stateno = 1100 && animtime >= -50 && statetype = S
trigger12 = stateno = 1150 && movecontact

[State -1, SlimeBall]
type = ChangeState
value = 2040
triggerall = Var(59) <= 0
triggerall=command="SlimeBall"
triggerall = power >= 1000
triggerall = StateType != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 211 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 241 && movecontact
trigger6 = stateno = 220 && movecontact
trigger7 = stateno = 250 && movecontact
trigger8 = stateno = 1010 && animtime >= -43
trigger9 = stateno = 1020 && animtime >= -39
trigger10 = stateno = 1080 && animtime >= -10
trigger11 = stateno = 1100 && animtime >= -50 && statetype = S
trigger12 = stateno = 1150 && movecontact


[State -1, Super Air Hadouken]
type = ChangeState
value = 2030
triggerall = Var(59) <= 0
triggerall = command = "SuperAirHadouken"
triggerall = power >= 1000
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 && movecontact
trigger3 = stateno = 630 && movecontact
trigger4 = stateno = 640 && movecontact
trigger5 = stateno = 650 && movecontact

[State -1, Rolling Air Fury]
type = ChangeState
value = 2020
triggerall = Var(59) <= 0
triggerall=command="RollingCrush"
triggerall = power >= 1000
triggerall = StateType != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 211 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 241 && movecontact
trigger6 = stateno = 220 && movecontact
trigger7 = stateno = 250 && movecontact
trigger8 = stateno = 1010 && animtime >= -43
trigger9 = stateno = 1020 && animtime >= -39
trigger10 = stateno = 1080 && animtime >= -10
trigger11 = stateno = 1100 && animtime >= -50 && statetype = S
trigger12 = stateno = 1150 && movecontact


[State -1, Moon Beam]
type = ChangeState
value = 2010
triggerall = Var(59) <= 0
triggerall=command="MoonBeam"
triggerall = power >= 1000
triggerall = StateType != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 211 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 241 && movecontact
trigger6 = stateno = 220 && movecontact
trigger7 = stateno = 250 && movecontact
trigger8 = stateno = 1010 && animtime >= -43
trigger9 = stateno = 1020 && animtime >= -39
trigger10 = stateno = 1080 && animtime >= -10
trigger11 = stateno = 1100 && animtime >= -50 && statetype = S
trigger12 = stateno = 1150 && movecontact


[State -1, Assist Computer]
type = ChangeState
value = 2000
triggerall = Var(59) <= 0
triggerall=command="AssistComputer"
triggerall = power >= 1000
triggerall = StateType  != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 211 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 241 && movecontact
trigger6 = stateno = 220 && movecontact
trigger7 = stateno = 250 && movecontact
trigger8 = stateno = 1010 && animtime >= -43
trigger9 = stateno = 1020 && animtime >= -39
trigger10 = stateno = 1080 && animtime >= -10
trigger11 = stateno = 1100 && animtime >= -50 && statetype = S
trigger12 = stateno = 1150 && movecontact


[State -1, Triple Air Hadouken]
type = ChangeState
value = 1185
triggerall = Var(59) <= 0
triggerall = command = "x" || command = "y" || command = "z"
triggerall = command = "holdfwd"
trigger1 = statetype = A
trigger1 = ctrl

[State -1, Zanku Hontai]
type = ChangeState
value = 1175
triggerall = Var(59) <= 0
triggerall = command = "a" || command = "b" || command = "c"
triggerall = command = "holdfwd"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 && movecontact
trigger3 = stateno = 630 && movecontact
trigger4 = stateno = 641 && movecontact

[State -1, Counter]
type = ChangeState
value = 1060
triggerall = Var(59) <= 0
triggerall = command = "cz"
trigger1 = ctrl = 1

[State -1, Teleportation]
type = ChangeState
value = 1050
triggerall = Var(59) <= 0
triggerall=command= "by"
triggerall = var(3) = 0
trigger1 = statetype = S
trigger1 = ctrl 

[State -1, Charge]
type = ChangeState
value = 1040
triggerall = Var(59) <= 0
triggerall=command= "ax"
trigger1 = statetype = S
trigger1 = ctrl 

[State -1, Lightning Spiral]
type = ChangeState
value = 1160
triggerall = Var(59) <= 0
triggerall=command="c"
triggerall=command = "holdback"
triggerall=command != "holddown"
triggerall=command !="holdfwd"
triggerall = StateType != A
triggerall = NumHelper(1162) = 0
triggerall = var(5) = 0
trigger1 = ctrl

[State -1, Fire Slash]
type = ChangeState
value = 1150
triggerall = Var(59) <= 0
triggerall=command="b"
triggerall=command = "holdback"
triggerall=command !="holddown"
triggerall = StateType = S
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 211 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 241 && movecontact

[State -1,  Storm Upper Rise]
type = ChangeState
value = 1140
triggerall = Var(59) <= 0
triggerall=command="a"
triggerall=command = "holdback"
triggerall=command !="holddown"
triggerall = NumHelper(1131) = 0
triggerall = StateType = S
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 211 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 241 && movecontact
trigger6 = stateno = 1010 && animtime >= -43
trigger7 = stateno = 1020 && animtime >= -39
trigger8 = stateno = 1080 && animtime >= -10
trigger9 = stateno = 1100 && animtime >= -50 && statetype = S
trigger10 = stateno = 1150 && movecontact


[State -1,  Bomb Drop]
type = ChangeState
value = 1130
triggerall = Var(59) <= 0
triggerall=command="z"
triggerall=command ="holdback"
triggerall=command !="holddown"
triggerall = NumHelper(1131) = 0
triggerall = StateType = S
trigger1 = ctrl

[State -1,  Air Drop]
type = ChangeState
value = 1120
triggerall = Var(59) <= 0
triggerall=command="xy"
triggerall = var(4) = 0
triggerall = StateType = S
trigger1 = ctrl

[State -1,  Grab]
type = ChangeState
value = 1110
triggerall = Var(59) <= 0
triggerall = command = "ab"
triggerall = StateType = S 
trigger1 = ctrl

[State -1,  Mush Wrap]
type = ChangeState
value = 1100
triggerall = Var(59) <= 0
triggerall = command = "y";"Bucky"
triggerall = command = "holdback"
triggerall = command != "holdfwd"
trigger1 = StateType = S || StateType = C || StateType = A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 211 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 241 && movecontact

[State -1, Robo Summon]
type = ChangeState
value = 1090
triggerall = Var(59) <= 0
triggerall=command="x"
triggerall=command ="holdback"
triggerall=command !="holddown"
triggerall = command != "holdfwd"
triggerall = NumHelper(1092) = 0
trigger1 = statetype = S
trigger1 = ctrl 

[State -1, Evil Claw]
type = ChangeState
value = 1080
triggerall = Var(59) <= 0
triggerall=command="c"
triggerall=command = "holdfwd"
triggerall=command !="holdback"
triggerall=command !="holddown"
trigger1 = statetype = S
trigger1 = ctrl 
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 211 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 241 && movecontact
trigger6  = stateno = 1150 && movecontact

[State -1, Hurricane Kick]
type = ChangeState
value = 1070
triggerall = Var(59) <= 0
triggerall=command="b"
triggerall=command = "holdfwd"
triggerall=command !="holdback"
triggerall=command !="holddown"
trigger1 = statetype = S
trigger1 = ctrl 
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 211 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 241 && movecontact
trigger6 = stateno = 1010 && animtime >= -43
trigger7 = stateno = 1020 && animtime >= -39
trigger8 = stateno = 1080 && animtime >= -10
trigger9 = stateno = 1100 && animtime >= -50 && statetype = S
trigger10  = stateno = 1150 && movecontact

[State -1, Ja Ei Ken]
type = ChangeState
value = 1030
triggerall = Var(59) <= 0
triggerall=command="a"
triggerall=command ="holdfwd"
triggerall=command !="holdback"
triggerall=command !="holddown"
trigger1 = statetype = S
trigger1 = ctrl 
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 211 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 241 && movecontact
trigger6 = stateno = 1010 && animtime >= -43
trigger7 = stateno = 1020 && animtime >= -39
trigger8 = stateno = 1080 && animtime >= -10
trigger9 = stateno = 1100 && animtime >= -50 && statetype = S
trigger10  = stateno = 1150 && movecontact

[State -1, Eye Beam]
type = ChangeState
value = 1020
triggerall = Var(59) <= 0
triggerall=command="z"
triggerall=command = "holdfwd"
triggerall=command !="holdback"
triggerall=command !="holddown"
trigger1 = statetype = S
trigger1 = ctrl 
trigger2 = stateno = 1010 && animtime >= -43
trigger3 = stateno = 1080 && animtime >= -10
trigger4 = stateno = 1100 && animtime >= -50 && statetype = S
trigger5 = stateno = 1150 && movecontact

[State -1, Laser Beam]
type = ChangeState
value = 1010
triggerall = Var(59) <= 0
triggerall=command="y"
triggerall=command = "holdfwd"
triggerall=command !="holdback"
triggerall=command !="holddown"
trigger1 = statetype = S
trigger1 = ctrl 
trigger2 = stateno = 1080 && animtime >= -10
trigger3 = stateno = 1100 && animtime >= -50 && statetype = S
trigger4  = stateno = 1150 && movecontact

[State -1, Eraser Projectile]
type = ChangeState
value = 1000
triggerall = Var(59) <= 0
triggerall=command="x"
triggerall=command ="holdfwd"
triggerall=command !="holdback"
triggerall=command !="holddown"
triggerall = NumProjID(1001) = 0
trigger1 = statetype = S
trigger1 = ctrl 

[State -1, Air Heavy Kick]
type = ChangeState
value = 650
triggerall = Var(59) <= 0
triggerall = command = "c"
triggerall = command != "holdfwd"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 && movecontact
trigger3 = stateno = 630 && movecontact
trigger4 = stateno = 640 && movecontact

[State -1, Air Medium Kick]
type = ChangeState
value = 640
triggerall = Var(59) <= 0
triggerall = command = "b"
triggerall = command != "holdfwd"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 && movecontact
trigger3 = stateno = 630 && movecontact

[State -1, Air Light Kick]
type = ChangeState
value = 630
triggerall = Var(59) <= 0
triggerall = command = "a"
triggerall = command != "holdfwd"
trigger1 = statetype = A
trigger1 = ctrl

[State -1, Air Heavy Punch]
type = ChangeState
value = 620
triggerall = Var(59) <= 0
triggerall = command = "z"
triggerall = command != "holdfwd"
trigger1 = statetype = A
trigger1 = ctrl

[State -1, Air Medium Punch]
type = ChangeState
value = 610
triggerall = Var(59) <= 0
triggerall = command = "y"
triggerall = command != "holdfwd"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 && movecontact
trigger3 = stateno = 630 && movecontact

[State -1, Air Light Punch]
type = ChangeState
value = 600
triggerall = Var(59) <= 0
triggerall = command = "x"
triggerall = command != "holdfwd"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 && movecontact

[State -1, Crouching Heavy Kick]
type = ChangeState
value = 450
triggerall = Var(59) <= 0
triggerall=command="c"
triggerall=command ="holddown"
trigger1 = statetype = C
trigger1 = ctrl 
trigger2 = stateno = 400 && movecontact
trigger3 = stateno = 410 && movecontact
trigger4 = stateno = 420 && movecontact
trigger5 = stateno = 430 && movecontact

[State -1, Crouching Medium Kick]
type = ChangeState
value = 440
triggerall = Var(59) <= 0
triggerall=command="b"
triggerall=command ="holddown"
trigger1 = statetype = C
trigger1 = ctrl 
trigger2 = stateno = 400 && movecontact
trigger3 = stateno = 410 && movecontact
trigger4 = stateno = 430 && movecontact

[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = Var(59) <= 0
triggerall=command="a"
triggerall=command ="holddown"
trigger1 = statetype = C
trigger1 = ctrl 

[State -1, Crouching Heavy Punch]
type = ChangeState
value = 420
triggerall = Var(59) <= 0
triggerall=command="z"
triggerall=command ="holddown"
trigger1 = statetype = C
trigger1 = ctrl 
trigger2 = stateno = 400 && movecontact
trigger3 = stateno = 410 && movecontact

[State -1, Crouching Medium Punch]
type = ChangeState
value = 410
triggerall = Var(59) <= 0
triggerall=command="y"
triggerall=command ="holddown"
trigger1 = statetype = C
trigger1 = ctrl 
trigger2 = stateno = 400 && movecontact

[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = Var(59) <= 0
triggerall=command="x"
triggerall=command ="holddown"
trigger1 = statetype = C
trigger1 = ctrl 

[State -1, Heavy Kick]
type = ChangeState
value = 250
triggerall = Var(59) <= 0
triggerall=command="c"
triggerall=command != "holdfwd"
triggerall=command !="holddown"
trigger1 = statetype = S
trigger1 = ctrl 
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 211 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 241 && movecontact

[State -1, Medium Kick]
type = ChangeState
value = 240
triggerall = Var(59) <= 0
triggerall=command="b"
triggerall=command != "holdfwd"
triggerall=command != "holdback"
triggerall=command !="holddown"
trigger1 = statetype = S
trigger1 = ctrl 
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 230 && movecontact

[State -1, Light Kick]
type = ChangeState
value = 230
triggerall = Var(59) <= 0
triggerall=command="a"
triggerall=command != "holdfwd"
triggerall=command != "holddown"
triggerall=command !="holdback"
trigger1 = statetype = S
trigger1 = ctrl 

[State -1, Strong Slash (Strong Punch)]
type = ChangeState
value = 220
triggerall = Var(59) <= 0
triggerall=command="z"
triggerall=command != "holdfwd"
triggerall=command != "holdback"
triggerall=command !="holddown"
trigger1 = statetype = S
trigger1 = ctrl 
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 211 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 241 && movecontact

[State -1, Medium Punch]
type = ChangeState
value = 210
triggerall = Var(59) <= 0
triggerall=command="y"
triggerall=command !="holdback"
triggerall=command != "holdfwd"
triggerall=command !="holddown"
trigger1 = statetype = S
trigger1 = ctrl 
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 230 && movecontact
trigger4 = stateno = 241 && movecontact

[State -1, Light Punch]
type = ChangeState
value = 200
triggerall = Var(59) <= 0
triggerall=command="x"
triggerall=command !="holdback"
triggerall=command !="holdfwd"
triggerall=command !="holddown"
trigger1 = statetype = S
trigger1 = ctrl 

[State -1, Taunt]
type = ChangeState
value = 195
triggerall = Var(59) <= 0
triggerall=command="s"
triggerall=command !="holddown"
trigger1 = statetype = S
trigger1 = ctrl 


[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = Var(59) <= 0
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Dash Back]
type = ChangeState
value = 105
triggerall = Var(59) <= 0
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl